petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSetTimeError

Sets the estimated error vector, if the chosen TSType has an error estimation functionality. This can be used to restart such a time integrator with a given error vector.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetTimeError(TS ts,Vec v)

Not Collective, but Vec returned is parallel if TS is parallel

### Parameters

ts -the TS context obtained from TSCreate() (input parameter).
v -the vector containing the error (same size as the solution).

### See Also

TSSetSolution(), TSGetTimeError)

### Keywords

TS, timestep, get, error

### Level

intermediate

### Location

src/ts/interface/ts.c

### Implementations

TSSetTimeError_GLEE in src/ts/impls/glee/glee.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages